Exec
Execute Command
Execute a command via simple HTTP POST (non-TTY only). Simpler alternative for exec for environments that can’t handle websockets.
POST
/
v1
/
sprites
/
{name}
/
exec
Execute Command
curl --request POST \
--url https://api.sprites.dev/v1/sprites/{name}/exec \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/octet-stream' \
--data '"<string>"'import requests
url = "https://api.sprites.dev/v1/sprites/{name}/exec"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'},
body: JSON.stringify('<string>')
};
fetch('https://api.sprites.dev/v1/sprites/{name}/exec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Command to execute (can be repeated for command + args)
Explicit path to executable (defaults to first cmd value or bash)
Enable stdin from request body (default: false)
Environment variables in KEY=VALUE format (can be repeated)
Working directory for the command
Body
application/octet-stream
Raw bytes forwarded to stdin when stdin=true. Empty or omitted when stdin is disabled.
The body is of type file.
Response
Success
⌘I
Execute Command
